local tooltipEvent = CreateFrame'Frame'
tooltipEvent:RegisterEvent'UPDATE_MOUSEOVER_UNIT'
tooltipEvent:SetScript('OnEvent', function()

  local name = UnitName'mouseover'
  local pvpname = UnitPVPName'mouseover'
  local _, class = UnitClass'mouseover'

  local guild = GetGuildInfo'mouseover'

  local targetName = UnitName'mouseovertarget'
  local targetPvpName = UnitPVPName'mouseovertarget'
  local _, targetClass = UnitClass'mouseovertarget'
  
  if class and name and UnitIsPlayer'mouseover' then
    local color = RAID_CLASS_COLORS[class]
    GameTooltipStatusBar:SetStatusBarColor(color.r, color.g, color.b)
    GameTooltipTextLeft1:SetText('|cff' .. string.format('%02x%02x%02x', color.r * 255, color.g * 255, color.b * 255)..pvpname)

    if guild then
      GameTooltipTextLeft2:SetText('<'..guild..'>')
    end

  end

  if targetName and targetClass and UnitIsPlayer'mouseovertarget' then
    local color = RAID_CLASS_COLORS[targetClass]
    GameTooltip:AddLine(targetPvpName, color.r, color.g, color.b)
  end

  GameTooltip:Show()

end)
